中危 libreoffice libreoffice 证书验证不恰当

CVE编号

CVE-2021-25633

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-10-12
漏洞描述
LibreOffice是文档基金会(The Document Foundation,tdf)的一套开源的办公软件套件。该产品包含Writer(文本文档)、Calc(电子表格)和Impress(演示文稿)等应用程序。
LibreOffice 7.0.0-7.0.6版本和7.1.0-7.1.2版本存在证书验证错误漏洞。该漏洞源于程序未对ODF文件的数字签名进行正确检查。远程攻击者可利用该漏洞通过操作文档中的documentsignatures.xml或macrosignatures.xml流来组合多个证书数据从而创建数字签名的ODF文档。
受影响系统:
libreoffice libreoffice >= 7.1.0
libreoffice libreoffice >= 7.0.0
libreoffice libreoffice < 7.1.2
libreoffice libreoffice < 7.0.6
解决建议
目前厂商已经发布了升级补丁以修复这个安全问题,补丁获取链接:
https://www.libreoffice.org/about-us/security/advisories/CVE-2021-25633
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 libreoffice libreoffice * From
(including)
7.0.0
Up to
(excluding)
7.0.6
运行在以下环境
应用 libreoffice libreoffice * From
(including)
7.1.0
Up to
(excluding)
7.1.2
运行在以下环境
系统 centos_8 libreoffice * Up to
(excluding)
6.4.7.2-10.el8
运行在以下环境
系统 debian_10 libreoffice * Up to
(including)
6.1.5-3+deb10u7
运行在以下环境
系统 debian_11 libreoffice * Up to
(excluding)
1:7.0.4-4+deb11u1
运行在以下环境
系统 debian_9 libreoffice * Up to
(including)
5.2.7-1+deb9u11
运行在以下环境
系统 redhat_8 libreoffice * Up to
(excluding)
6.4.7.2-10.el8
运行在以下环境
系统 ubuntu_20.04 libreoffice * Up to
(excluding)
1:6.4.7-0ubuntu0.20.04.2
阿里云评分
5.9
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    传输被破坏
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-295 证书验证不恰当
阿里云安全产品覆盖情况